Subject: bug#70217: [PATCH] Add substring-partial-completion style

From: Eli Zaretskii <[email-masked]>
Date: Tue, 28 May 2024 18:11:50 +0300

> From: Spencer Baugh <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 28 May 2024 10:39:52 -0400
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> b/c does match bbb/ccc at the beginning, according to the
> >> partial-completion rules.  Explained as a glob, partial-completion turns
> >> b/c into b*c which then can expand to bbb/ccc.
> >
> > Sorry, I don't understand what you are saying and how it addresses my
> > concern.  To me, this example contradicts what was explained in the
> > documentation earlier, so we must clarify this, whether in the example
> > or in the preceding descriptions.  Please re-read how you described
> > the effect of this option, and go from there.
> 
> Okay, how about this completely reworked explanation?  (It also changes
> the name of the variable and inverts its effect)

Thanks, this is more clear now.  But please (a) don't use "glob" and
file wildcard notation, use regexps instead; and (b) please do not use
examples with repeated characters, because they can lead readers to
make the wrong conclusions due to accidental situations.  For example,
AFAIU valid candidates for "b*/c*" include "bcdxyz/c1234" and also
"b/x/y/z/c/1/2/3", but readers might mistakenly think that "b*" stands
for a string made only of "b", or that there can be only one slash and
it must precede "c".  Avoiding repeated characters prevents such
misunderstandings.